@charset "UTF-8";
@import 'variables.scss';

// content types
a {
  text-decoration: none;

  &:hover,
  &:active,
  &:focus {
    text-decoration: none;
  }
}

.page-node-type-landing-page {
  h1.page-header {
    display: none;
  }

  .field--name-field-component {
    margin: 0;

    &>.field--item:first-child {
      margin: 0;
    }
  }
}

.has-header {
  &.page-node-type-landing-page {
    &>.field--name-field-component {
      .field--item:first-child {
        margin: 0;
      }
    }
  }
}

// article
article {
  max-width: 1140px;
  margin: 0 auto 30px;

  &>footer {
    article {
      margin: 0;
      padding: 0;
    }
  }
}

.field {
  margin: 0 0 10px;

  &.field--type-entity-reference {

    .field--label {
      font-weight: normal;
      @include font-size(1.6);
    }

    .field--items {
      .field--item {
        display: inline-block;

        a {
          display: block;
          margin: 0 3px 5px 0;
          text-decoration: none;
          @include font-size(1.6);
          line-height: 1;
          padding: 5px 10px 2px;
        }
      }
    }
  }
}

.page-node-type-landing-page {
  article {
    max-width: 100%;
  }
}

@media only screen and (max-width: 1160px) {

  // h1.page-header {
  //   padding: 0 3%;
  // }
  // article {
  //   padding: 0 3%;
  // }
  .page-node-type-landing-page {
    article {
      padding: 0;
    }
  }
}

// components override
// accordions
.panel {
  @include box-shadow(0, 0, 0, rgba(0, 0, 0, 0));
}

.panel-heading {
  @include border-radius(0);
}

main .field--type-text-with-summary .panel-title>a,
main .text-component-text.basic_html .panel-title>a,
main .text-component-text.restricted_html .panel-title>a,
main .text-component-text.cern_full_html .panel-title>a {
  text-decoration: none;
}

//tabs
main .field--type-text-with-summary,
main .text-component-text.basic_html,
main .text-component-text.restricted_html,
main .text-component-text.cern_full_html {
  .nav-tabs>li>a {
    text-decoration: none;
  }

  .nav-tabs {
    border: 0;
    padding: 20px 0 0 20px;

    li {
      display: block;
      padding: 0;
      margin: 0 2px 0 0;

      a {
        @include border-radius(0);
        @include font-size(1.6);
        font-family: $font-primary;
        border: none;
        display: block;
        line-height: 1;
        padding: 15px 20px 10px;
        position: relative;

        &:hover,
        &:focus {
          outline: 0 auto -webkit-focus-ring-color;
          border: none;
        }
      }
    }
  }

  .tab-content {
    padding: 30px 20px;

    .tab-pane {
      border: 0;
      padding: 0;

      .field--type-text-long {
        max-width: 100%;
      }

      p:last-child {
        margin: 0;
      }
    }
  }
}

// ckeditor
.img-left {
  float: left;
  margin: 0 20px 20px 0;
}

.img-right {
  float: right;
  padding: 0 0 20px 20px;
}

.img-clear {
  clear: both
}

.img-clear-right {
  clear: both;
  float: right;
}

.div-clear-right {
  clear: both;
}

.img-clear-center {
  clear: both;
  margin: auto;
}

// file type link
.field--type-link {
  a {
    @include transition(all 0.3s ease-in-out 0s);
    text-decoration: underline;
  }
}

// feed icons
.feed-icons {
  max-width: 1140px;
  margin: 0 auto 30px;
  text-align: right;
}

@media only screen and (max-width: 1160px) {
  .feed-icons {
    padding: 0 15px;
  }
}

// views
.views-element-container {
  max-width: 1140px;
  margin: 0 auto 30px;
}

.views-view-grid {
  .views-row {
    @include flexbox;
    @include align-items(stretch);
    @include justify-content(center);
    @include flex-wrap(wrap);

    .views-col {
      @include flexbox;
      @include align-items(stretch);
      padding: 10px;

      article {
        padding: 20px 30px;
        margin: 0;
        width: 100%;

        h1,
        h2,
        h3 {
          @include font-size(2.0);
          margin: 0 0 10px;

          a {
            position: relative;

            &:before {
              @include transition(all 0.6s ease-in-out 0s);
              @include font-size(4.1);
              content: '\6a';
              font-family: $font-icon;
              -moz-osx-font-smoothing: grayscale;
              -webkit-font-smoothing: antialiased;
              display: block;
              position: absolute;
              top: 12px;
              left: -38px;
              line-height: 22px;
              font-weight: normal;
            }

            &:hover {
              text-decoration: none;

              &:before {
                left: -30px;
              }
            }
          }
        }

        a {
          @include transition(all 0.6s ease-in-out 0s);
        }

        footer {
          article {
            margin: 0;
            padding: 0;
          }
        }
      }

      &:first-child {
        padding: 10px 10px 10px 0;
      }

      &:last-child {
        padding: 10px 0 10px 10px;
      }
    }
  }
}

@media screen and (max-width: 767px) {
  .views-view-grid {
    .views-row {
      .views-col {
        width: 100% !important;
        padding: 10px 0;

        &:first-child {
          padding: 10px 0;
        }

        &:last-child {
          padding: 10px 0;
        }
      }
    }
  }
}

// alerts / messages
main .field--type-text-with-summary .alert .close,
main .text-component-text.basic_html .alert .close,
main .text-component-text.restricted_html .alert .close,
main .text-component-text.cern_full_html .alert .close {
  text-decoration: none;
}

.alert {
  max-width: 1140px;
  margin: 20px auto;
  word-break: break-all;
}

.alert-success {
  background-color: $brand-success;
  border-color: lighten($brand-success, 25%);
  color: darken($brand-success, 35%);

  hr {
    border-color: lighten($brand-success, 20%);
  }

  a {
    color: darken($brand-success, 35%) !important;
  }
}

.alert-info {
  background-color: $brand-info;
  border-color: lighten($brand-info, 20%);
  color: darken($brand-info, 35%);

  hr {
    border-color: lighten($brand-info, 20%);
  }

  a {
    color: darken($brand-info, 35%) !important;
  }
}

.alert-warning {
  background-color: $brand-warning;
  border-color: lighten($brand-warning, 20%);
  color: darken($brand-warning, 35%);

  hr {
    border-color: lighten($brand-warning, 20%);
  }

  a {
    color: darken($brand-warning, 35%) !important;
  }
}

.alert-danger {
  background-color: $brand-danger;
  border-color: lighten($brand-danger, 20%);
  color: darken($brand-danger, 35%);

  hr {
    border-color: lighten($brand-danger, 20%);
  }

  a {
    color: darken($brand-danger, 35%) !important;
  }
}

@media only screen and (max-width: 1140px) {
  .alert {
    margin: 20px 5%;
  }
}

.has-header {
  .alert {
    position: absolute;
    z-index: 10;
    margin: auto;
    right: 0;
    left: 0;
    top: 120px;
    border: 0;
  }
}

@media only screen and (max-width: 1140px) {
  .has-header {
    .alert {
      margin: 20px 5%;
    }
  }
}

// code
pre[class*="language-"] {
  margin: 0 0 15px;
}

pre.code-toolbar>.toolbar a,
pre.code-toolbar>.toolbar button,
pre.code-toolbar>.toolbar span {
  @include font-size(1.6);
  @include border-radius(0);
  text-decoration: none;
  padding: 5px 30px 9px;
  color: $black;

  &:hover,
  &:focus {
    background: $ocean-blue;
    color: $white;
  }
}

.toolbar .toolbar-item:hover,
.toolbar .toolbar-item:focus {
  text-decoration: none;
}

// navbar
main .field--type-text-with-summary .navbar a,
main .text-component-text.basic_html .navbar a,
main .text-component-text.restricted_html .navbar a,
main .text-component-text.cern_full_html .navbar a {
  text-decoration: none;
}

.navbar-header {
  padding: 0 15px;
}

// blocks
.block.block-block-content {
  max-width: 1140px;
  margin: auto;
  padding: 0;
}

.block-custom-wrapper {
  padding: 20px 30px;
  margin: 0 auto 30px;

  .field--name-field-visible-title {
    @include font-size(2.0);
    margin: 0 0 10px;
    position: relative; // &:before {
    //   @include transition(all 0.6s ease-in-out 0s);
    //   @include font-size(4.1);
    //   content: '\6a';
    //   font-family: 'cern';
    //   display: block;
    //   position: absolute;
    //   top: -1px;
    //   left: -30px;
    //   line-height: 22px;
    // }
  }

  img {
    max-width: 100%;
    height: auto;
  }
}

@media only screen and (max-width: 1140px) {
  .region-content {
    .block.block-block-content {
      padding: 0 3%;
    }
  }
}

// admin region visualization
.wrapper-center {
  .block-region {
    margin: 20px 0 20px 0;
  }
}

.sidebar-left,
.sidebar-right {
  .block-region {
    margin: -10px 0 20px 0;
  }

  nav, nav.main-menu div {
    a {
      font-family: 'sourcesans-regular';
    }

    &> ul > li > a{
      font-family: 'opensans-regular';
      font-size: 21px;
      font-size: 2.1rem;

      &:after {
        content: none !important;
      }
    }
  }
}

.footer-wrapper {
  .block-region {
    color: #292929;
  }
}

// Lazy-load effect
.layout {
  .field--items>.field--item {
    position: relative;
    background: white;
    overflow: hidden;

    &.cover-parallax {
      overflow: hidden;
    }

    &.on-cover-parallax-in>.component-row {
      position: relative;
      -webkit-transition: none;
      -moz-transition: none;
      -o-transition: none;
      transition: none;
    }

    &>.component-row {
      position: relative;
      -webkit-transition: all 0.5s ease-out 0s;
      -moz-transition: all 0.5s ease-out 0s;
      -o-transition: all 0.5s ease-out 0s;
      transition: all 0.5s ease-out 0s;
    }

    /*
    &.cern-lazy-out>.component-row {
      opacity: 0;
      top: 50px;
    }
    &.cern-lazy-in>.component-row {
      opacity: 1;
      top: 0px;
    }
    */
  }
}

// caption
/* figcaption {
  @include font-size(1.2);
  line-height: 15px;
} */

.cern-caption,
figcaption {
  /* opacity: 0.8; */
  color: #292929;
  margin: 0.5em 0;
  @include font-size(1.2);
}

// cds loading
@include keyframes('spin') {
  100% {
    @include transform(rotate(360deg));
  }
}

figure.loading-cds {
  min-height: 250px;
}

figure.loading-cds-error {
  min-height: 250px;

  &:after {
    content: ' ';
    background: white url( //framework.web.cern.ch/framework/3.0/images/no_image.jpg) no-repeat center center;
      display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 30;
  }

  .cds-background {
    opacity: 0;
  }
}

.owl-thumb-item.loading-cds-error {
  &:after {
    content: ' ';
    background: white url( //framework.web.cern.ch/framework/3.0/images/no_image.jpg) no-repeat center center / 100% auto;
      display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 30;
  }
}

.cds-background {
  position: absolute;
  @include opacity(1);

  &>span {
    @include transform(rotateX(70deg));
    width: 200px;
    height: 200px;
    border: 5px solid #ddd;
    border-radius: 100%;
    display: block;
    position: absolute;
    box-sizing: border-box;
    z-index: 1002;
    left: 0;
    right: 0;
    margin: auto;
  }

  &>span:nth-child(2) {
    @include transform(rotateX(67deg));
    top: 0;
    position: absolute;
    border: 5px solid #ddd;
    left: 0;
    right: 0;
    margin: auto;
  }

  &>span:nth-child(2):before {
    @include animation(spin 0.8s linear infinite reverse);
    border-color: #c88275 tomato #c88275 #c88275;
    border-width: 3px 8px 3px 3px;
  }

  &>span:nth-child(2):after {
    @include animation(spin 1.5s linear infinite);
    border-color: #788cc8 #788cc8 royalblue #788cc8;
    border-width: 0px;
  }

  &>span:before {
    @include animation(spin 1s linear infinite);
    content: '';
    width: 200px;
    height: 200px;
    border: 0px solid tomato;
    border-color: #c88275 #c88275 tomato #c88275;
    border-radius: 100%;
    display: block;
    position: absolute;
    box-sizing: border-box;
    top: -5px;
    left: -5px;
  }

  &>span:after {
    @include animation(spin 1.1s linear infinite);
    content: '';
    width: 200px;
    height: 200px;
    border: 10px solid royalblue;
    border-width: 3px 3px 3px 10px;
    border-color: #788cc8 #788cc8 #788cc8 royalblue;
    border-radius: 100%;
    display: block;
    position: absolute;
    box-sizing: border-box;
    top: -5px;
    left: -5px;
  }

  &>span span {
    width: 50px;
    height: 50px;
    border: 5px solid #ddd;
    border-radius: 100%;
    display: block;
    position: relative;
    box-sizing: border-box;
    position: relative;
    top: 145px;
    left: 70px;
    z-index: 1001;
    bottom: -138px !important;
    top: auto !important;
    left: 70px !important;
  }

  &>span span:before {
    @include animation(spin 0.8s linear infinite);
    content: '';
    width: 50px;
    height: 50px;
    border: 8px solid tomato;
    border-color: transparent transparent tomato transparent;
    border-width: 3px 3px 8px 3px;
    border-radius: 100%;
    display: block;
    position: absolute;
    box-sizing: border-box;
    top: -5px;
    left: -5px;
  }

  &>span span:after {
    @include animation(spin 0.5s linear infinite);
    content: '';
    width: 50px;
    height: 50px;
    border: 8px solid royalblue;
    border: 0 0 0 8px;
    border-color: transparent transparent transparent royalblue;
    border-width: 3px 3px 3px;
    border-radius: 100%;
    display: block;
    position: absolute;
    box-sizing: border-box;
    top: -5px;
    left: -5px;
  }

  &.cds-background-hidden {
    @include transition(all 0.3s ease-in-out 0s);
    @include opacity(0);
  }
}

// bootstrap nav-pills
.nav.nav-pills {
  a {
    text-decoration: none;
  }
}

//override colorbox
#cboxOverlay {
  background-color: #1c2c38;
}

#cboxContent,
#cboxLoadedContent,
#cboxLoadingOverlay {
  background: transparent;
}

#cboxLoadedContent {
  padding: 0 60px;
  overflow: hidden !important;
}

#cboxError {
  height: 78%;
  color: $white;
  background: rgba(255, 255, 255, 0.4);
}

.cboxPhoto {
  max-height: 87% !important;
  width: auto !important;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
  /*

  */
}

#cboxTitle {
  @include font-size(1.2);
  color: $white;
  left: 0;
  right: 0;
  margin: auto;
  width: 89%;
  top: auto;
  bottom: 0;
  height: 22%;
  line-height: 18px;
}

#cboxPrevious,
#cboxNext {
  background: none;
  width: 36px;
  height: 36px;
  top: calc(50% - 18px);
  background: transparent;
  font-size: 30px;
  text-indent: -999999px;
  overflow: hidden;

  &:hover {
    background: transparent;
  }

  &.disabled {
    background: transparent;
  }

  &::before {
    @include font-size(3.0);
    font-family: "cern-icons";
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: block;
    width: 30px;
    line-height: 30px;
    text-indent: 0;
    position: absolute;
    color: $white;
    top: 3px;
  }
}

#cboxPrevious {
  left: 0;

  &::before {
    content: "\64";
    left: 1px;
  }
}

#cboxNext {
  right: 0;

  &::before {
    content: "\63";
    right: 1px;
  }
}

#cboxClose {
  background: none;
  width: 32px;
  height: 32px;
  font-size: 30px;
  text-indent: -999999px;
  overflow: hidden;
  top: -40px;

  &::before {
    @include font-size(3.0);
    font-family: "cern-icons";
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: block;
    width: 30px;
    line-height: 30px;
    text-indent: 0;
    position: absolute;
    color: $white;
    content: "\48";
  }
}

/*
#cboxLoadingGraphic {
  background: none;
  border: 5px solid rgba(255, 255, 255, 0.2);
  border-radius: 50%;
  border-top: 5px solid rgba(255, 255, 255, 0.5);
  width: 50px;
  height: 50px;
  @include animation(spin 2s linear infinite);
  position: absolute;
  left: 50%;
  top: 50%;
}

@include keyframes('spin') {
  0% {
    @include transform(rotate(0deg));
  }
  100% {
    @include transform(rotate(360deg));
  }
}
*/

#cboxLoadingGraphic {
  background: none;
  height: 3em;
  width: 3em;
  @include animation(rotation 1s infinite linear);
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-top-color: rgba(255, 255, 255, 0.7);
  border-radius: 50%;
  margin: auto;
  position: absolute;
  left: 0;
  right: 0;
  top: calc(50% - 1.5em);
}

@include keyframes('rotation') {
  to {
    @include transform(rotate(360deg));
  }
}

.component-gallery__image {

  .image-gallery-overlay,
  figure>a {
    position: relative;
  }
}

.open-overlay {
  background: none;
  width: 100%;
  height: 100%;
  font-size: 30px;
  text-indent: -999999px;
  overflow: hidden;
  position: absolute;
  top: 0;
  right: 0;

  &::before {
    @include font-size(3.0);
    font-family: "cern-icons";
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: block;
    width: 30px;
    line-height: 30px;
    text-indent: 0;
    position: absolute;
    color: $white;
    content: "\46";
    top: 15px;
    right: 15px;
  }
}

//html markup
main {
  .field--type-text-with-summary,
  .text-component-text.basic_html,
  .text-component-text.restricted_html,
  .text-component-text.cern_full_html,
  .full-html-markup {
    p {
      @extend %content_text;
      margin: 0 0 15px;
    }

    h1 {
      @extend %h1;
    }

    h2 {
      @extend %h2;
    }

    h3 {
      @extend %h3;
    }

    h4 {
      @extend %h4;
    }

    h5 {
      @extend %h5;
    }

    h6 {
      @extend %h6;
    }

    a {
      @include transition(all 0.3s ease-in-out 0s);
      cursor: pointer;
      text-decoration: underline;

      &.linked-cern-icons {
        text-decoration: none;
      }
    }

    ul {
      padding: 0;
      margin: 0 0 15px 20px;
      line-height: 25px;

      ul {
        margin-bottom: 0;
      }

      &.nav,
      &.dropdown-menu {
        margin: 0;

        li {
          &::before {
            display: none;
          }
        }
      }

      li {
        :not(li){
          &:not(ul){
            display: revert;
          }
        }
      }
    }

    ol {
      padding: 0;
      margin-left: 20px;
      line-height: 25px;

      li {
        line-height: 25px;
      }
    }

    hr {
      border-top: 2px solid;
      border-top-color: #cacaca;
    }

    table {
      width: 100%;
      margin: 0 0 15px;

      caption {
        display: block;
        width: 100%;
      }
    }

    img {
      max-width: 100%;
    }
  }

}

// table caption
table {
  caption {
    display: block;
    width: 100%;
  }

  &>thead>tr>th,
  &>thead>tr>td,
  &>tbody>tr>th,
  &>tbody>tr>td,
  &>tfoot>tr>th,
  &>tfoot>tr>td {
    padding: 8px;
  }
}

// responsive tables
table {

  &.simple-responsive-table>thead>tr>th,
  &.simple-responsive-table>thead>tr>td,
  &.simple-responsive-table>tbody>tr>th,
  &.simple-responsive-table>tbody>tr>td {
    @include font-size(1.4);
    min-height: 24px;
    padding: 5px 5px 2px 50%;

    &:before {
      top: 7px;
      max-width: 48%;
      line-height: 1.2;
    }
  }

  &.simple-responsive-table>tfoot {
    display: none;
  }
}

// titles general config
h1.page-header {
  @extend %h1;
}

.field--name-node-title {
  h1 {
    @extend %h1;
  }

  h2 {
    @extend %h2;
  }

  h3 {
    @extend %h3;
  }

  h4 {
    @extend %h4;
  }

  h5 {
    @extend %h5;
  }

  h6 {
    @extend %h6;
  }
}

h1.basic-node-full-content-title,
h1.event-node-full-content-title,
h1.event-node-full-content-title,
h1.news-node-full-content-title,
h1.resource-node-full-content-title,
h1.system-node-full-content-title,
h1.event-node-full-content-title {
  @extend %h1;
}

table {
  .file-icon {
    margin-right: 8px;
  }

  .file-link {
    a {
      text-decoration: none;

      &:hover {
        text-decoration: none;
      }
    }
  }
}

.is-cern-lazy {
  .text-component {
    @include opacity(1);
    @include transition(opacity 0.6s);

    &.out {
      @include opacity(0);
    }
  }
}

.fade {
  @include opacity(1);
  @include transition(all 0.6s);

  &.out {
    @include opacity(0);
    -webkit-transform: translateY(20px);
    transform: translateY(20px);
  }
}

.field--type-text-with-summary,
.full-text-animation {
  @include opacity(1);
  @include transition(opacity 0.6s);

  &.out {
    @include opacity(0);
  }
}

/* cern timeline */

iframe.cern-timeline {
  border: 0;
  min-height: 180px;
  width: 100%;
  margin-bottom: -10px;
}

.block-sticky-bottom.block-block-content{
  position: fixed;
  bottom: 0;
  z-index: 500 !important;
  width: 100%;
  opacity: 0.9;
  padding: 0;
  max-width: unset;

  .block-custom-wrapper{
    margin: 0;
    padding: 10px;

    p{
      margin: 0;
    }
  }


}

/* ~~~~~~~~~~~~~~ Webform contrib module styling ~~~~~~~~~~~~~~ */
form.webform-submission-form {
  .form-item label {
    font-size: 16px;
    padding-top: 0;
    font-family: 'sourcesans-regular';
    margin-bottom: 15px;
    color: #292929;
  }

  label.control-label:not(.option), .fieldset-legend, .webform-table-sort thead th {
    font-size: 23px;
    font-weight: bold;
    color: #292929;
  }

  .webform-likert-table tbody td:first-child label {
    //take advantage of the most specific selector rule in CSS
    font-size: 16px;
    font-weight: normal;
  }
}
